# Uses of Interface
javax.validation.ConstraintValidator

Packages that use ConstraintValidator
Package
Description
javax.validation
javax.validation.metadata

## Uses of ConstraintValidator in javax.validation

Methods in javax.validation with type parameters of type ConstraintValidator
Modifier and Type
Method
Description
`<T extends ConstraintValidator<?, ?>>
T`
ConstraintValidatorFactory.`getInstance(Class<T> key)`
Methods in javax.validation with parameters of type ConstraintValidator
Modifier and Type
Method
Description
`void`
ConstraintValidatorFactory.`releaseInstance(ConstraintValidator<?,?> instance)`

## Uses of ConstraintValidator in javax.validation.metadata

Methods in javax.validation.metadata that return types with arguments of type ConstraintValidator
Modifier and Type
Method
Description
`List<Class<? extends ConstraintValidator<T,?>>>`
ConstraintDescriptor.`getConstraintValidatorClasses()`